Thanks
------

Bidict has benefited from the assistance of many people and projects.


People
======

- Gregory Ewing for the name.

- Terry Reedy for suggesting the slice syntax
  (it was fun while it lasted).

- Raymond Hettinger for
  providing feedback on the design and implementation,
  and (most of all) for the amazing work on Python's built-in collections
  that made bidict possible.

- Francis Carr for the idea of storing the inverse bidict.

- Adopt Pytest Month 2015 for choosing bidict,
  Tom Viner for being bidict's Adopt Pytest helper for the month,
  and Brianna Laugher for coordinating.

- Zac Hatfield-Dodds for the amazing work
  (as well as soliciting feedback) on
  `Hypothesis <https://hypothesis.works>`__,
  `Hypofuzz <https://hypofuzz.com>`__,
  and `Pytest <https://pytest.org>`__.`

- Harrison Goldstein for building
  `Tyche <https://marketplace.visualstudio.com/items?itemName=HarrisonGoldstein.tyche>`__
  and showing me how to use it.

- Daniel Pope,
  Leif Walsh,
  David Turner,
  Itamar Turner-Trauring,
  and Michael Arntzenius
  for suggestions, code reviews, and design discussion.

- Leif Walsh for contributing the initial
  `devcontainer <https://code.visualstudio.com/docs/remote/containers>`__
  setup.

- Jozef Knaperek for the bugfix.

- Igor Nehoroshev for contributing the py.typed marker.

- Bernát Gábor for pyproject.toml support.

- Richard Sanger,
  Zeyi Wang,
  Brian Maissy,
  and Amol Sahsrabudhe
  for reporting bugs.


Projects
========

- `Python <https://www.python.org>`__
- `GitHub <https://github.com>`__
- `Tidelift <https://tidelift.com>`__
- `Pytest <https://docs.pytest.org>`__
- `Hypothesis <https://hypothesis.readthedocs.io>`__
- `Tyche <https://marketplace.visualstudio.com/items?itemName=HarrisonGoldstein.tyche>`__
- `Pytest-Benchmark <https://pytest-benchmark.readthedocs.io>`__
- `Coverage <https://coverage.readthedocs.io>`__
- `Codecov <https://codecov.io>`__
- `Sphinx <https://www.sphinx-doc.org>`__
- `Readthedocs <https://readthedocs.org>`__
- `mypy <https://mypy.readthedocs.io>`__
- `ruff <https://github.com/charliermarsh/ruff>`__
- `pre-commit <https://pre-commit.com>`__
